## mileage 1.1

=== Makefile ===
# INSTALLLOC =
# INSTALLLOC = /home/forsberg/mileage/trunk/src/debian/mileage
INSTALLLOC = ./debian/mileage
BINDIR = /usr/bin
# BINDIR = $(INSTALLLOC)/usr/bin

OBJS = \
	car_tab.o \
	entry_tab.o \
	data_tab.o \
	care_tab.o \
	common_tab.o \
	graph_tab.o \
	trip_tab.o \
	mileage.o \
	mileagecfg.o \
	mileagefile.o


all: mileage

mileage: ${OBJS}
	gcc -O2 -DMAEMO `pkg-config --libs gtk+-2.0 hildon-1 hildon-help dbus-1 libosso` -ansi -Wall -o mileage ${OBJS} 

.c.o:
	gcc -O2 -DMAEMO  `pkg-config --cflags gtk+-2.0 hildon-1 hildon-help dbus-1` -ansi -Wall -c $*.c

clean:
	rm -rf ${OBJS} mileage

install: mileage
	install -d $(BINDIR)
	install -m 755 mileage $(BINDIR)
	install -d $(INSTALLLOC)/usr/share/applications/hildon
	install -m 644 mileage.desktop $(INSTALLLOC)/usr/share/applications/hildon/mileage.desktop
	install -d $(INSTALLLOC)/usr/share/dbus-1/services
	install -m 644 com.nokia.mileage.service $(INSTALLLOC)/usr/share/dbus-1/services/com.nokia.mileage.service
	install -d $(INSTALLLOC)/usr/share/osso-help/en_US
	install -m 644 mileage.xml $(INSTALLLOC)/usr/share/osso-help/en_US/mileage.xml
	install -d $(INSTALLLOC)/usr/share/icons/hicolor/26x26/apps
	install -m 644 data/icons/26x26/mileage.png $(INSTALLLOC)/usr/share/icons/hicolor/26x26/apps/mileage.png
	install -d $(INSTALLLOC)/usr/share/icons/hicolor/48x48/apps
	install -m 644 data/icons/48x48/mileage.png $(INSTALLLOC)/usr/share/icons/hicolor/48x48/apps/mileage.png
	install -d $(INSTALLLOC)/usr/share/icons/hicolor/scalable/hildon
	install -m 644 data/icons/scalable/mileage.png $(INSTALLLOC)/usr/share/icons/hicolor/scalable/hildon/mileage.png

## mileage 1.0

=== debian/changelog ===
mileage (1.0) stable; urgency=low

  * First stable release.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 24 Jan 2009 16:00:00 +0100

mileage (0.50) unstable; urgency=low

  * Fifth release. Adds graph tab.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Mon, 12 Jan 2009 16:00:00 +0100

mileage (0.40) unstable; urgency=low

  * Forth release. Adds import of CSV data. Also adds icons for application.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Thu, 27 Dec 2008 16:00:00 +0100

mileage (0.30) unstable; urgency=low

  * Third release. Adds trip tab.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Thu, 11 Dec 2008 16:00:00 +0100

mileage (0.20) unstable; urgency=low

  * Second release. Adds care tab.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 23 Nov 2008 16:00:00 +0100

mileage (0.10) unstable; urgency=low

  * Initial release.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 8 Nov 2008 16:00:00 +0100

=== debian/control ===
Source: mileage
Section: user/other
Priority: optional
Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
Build-Depends: libgtk2.0-dev, libhildon1-dev, libosso-dev, libhildonhelp-dev, libosso-dev, tablet-browser-interface-dev
Standards-Version: 1.0

Package: mileage
Architecture: armel
Depends: ${shlibs:Depends}
Description: A Car Mileage Calculator for the Nokia Internet Tablet.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2AwaBQUohuTw
 TAAABqVJREFUSMellVlsVIcVhr+737mzeRavYxsbGzB4oXgAJ41R0i0kpJFC
 U4WqTzRq3ZeIPrRRH6umqqoqL13UKjHtQ1opKUmbIoWoCU0CJIYAjott7GCD
 V8Az9tizeGY8+9zbB8pWKKXpeT0659P5dc75Bf5b9AVFl2F8W1fVfZFE4lH6
 h8p8hpDumfzu9pbO9evf6O3sPOBzu5uTa2szaydnRj4LSPgPU0gttbUHerZs
 +cm2DRvsDpuNtVyOwwMfXR04P9ZG/9Da/zdRX1AhWGe21tX9/Ft79rzwYHu7
 qikKM+EQ9f5K7DabaykWy8eOT574X0HyLRCqPZ4/maa5MBMOv7SWzT7ntttt
 NlUlOSsyHUpjU/wEci3PO3tfmJDKSuF6aSpdtGIrqZVIePUk9N9bOu/3H3nm
 8x0dh7xOJ+Ozs4OZfH78Z319+30uFydft7BLTrq6GhEA69YGAlyYiBCNZoiE
 4odeevHPB3KZ30buLt13uv29nZ1HHt2+3d5cW8u6mppAKpPZFFpZVoKbNnJl
 DDKJArl0hsjSKpHFBIvhOOFQgtBCHEsQUTWN3q9s79jR2/5sPts+PHPxrek7
 pAtu2vSL3Tt3Vhm6ztziIh1NTTRUVtreGxpi/PIsFk34/E5qu5solkwEQBRA
 MC3cusTEcJj8v4SsrvP72rqaH3nvLY7eBqp8/otPfjkY/GZzTQ1lyyJfLKKp
 KjZNo7ezk4GR87SWA6g2gWMLq0TmI5jpDGKxRGB9JQ921N8m0ZFXX8Fwb7zr
 MqRXEomwIAh1fqeTqooKREFgfG6OxVgMm6azklgl4PTx9Q4fMQ+YxRKGTcEw
 VGr9OkdvOZJ6X5ZE8mx1T89Wzpy5eXJS5tTs3KgnOzoTCj2xed06o8pTgWmZ
 rOWzSLKIoWvYk404VRtPbg9weWyBUiJDeCqCQ4D21mpGJmOUylBV6+PQH05S
 WVnxuYrA3g1NrU84JkbfHLmxDIHdXT+s8nh2DU9d4nJkCUWV8HldCJJAjd9D
 /JKBKmoYLgdOnxtfjZf69TU4fG5iqSJXQqkboMmxCIWyS9jR29nVtWPDY+eH
 nH+NrxxflukLCgGf77E9DzyATdOIJZMMXbhEPJ2iOVBN95ZWLCywIBbPYHfo
 N+RIJbMUiyWEf/sv4YUopz4Yzu5+aqdQE/BtnZ7gUxHL2rKlubmxwuEgnkzS
 UlfHnp4e9vbuQhU1BgY/JbqaRBDg4K/fRRJBFgVkSWBqMsTw8PyNe7oOVBSB
 D97++KPBD89ebFznsAOIrYHA4+1NTdhUFUPXKZsmmqoyFQpRLJXYtnEDfpeb
 ZCrHpp424oksb78/ydTsCqaqUeGvQBBAlmA1GqVcKmCZ5nSxUO64Mrscq651
 fQFA3tjQ8LjX5cTrclHj9aKpKulsFr/bhd3QKVolEECSRDyGhqqIVLh0DF0h
 b5QRBUhlTWTF4rXfHUVRFVrbqt75x8eTy7mJ12xbW/Vn+oKI4nIicXVo8mIy
 kU4hiSK6qmA3NHxeFz6Pk+rKCiwsbLpMW4sPt1Njc6uPKp9Bc4ObxoAbAVBk
 UBULr0fB69WTS+EXf7zZdfKV+kjBH7iKXwodPX940J785bFz504vrybyC9Hl
 esPQ7Q6HjtNhw+HQuTIs4tYNujvrUORrE9l0GYeh4nSozF5Noirw1ae7GB4Y
 xOXxDhx794/vn54vr/xIqtylNrTNX/ve/UPZOBx5kxNH6AsqNlXpfTi49WvN
 gZqnOjc21ZetZgQBJPFO+xKEa59ZEEAzo/T6DzOWfvbmZg4PDzbs2/eQfEdl
 /1AxC8fe4fQx+oLfkwRhx3MtP30j4LAakqk8LodKOlNA12RKZQusm79cVWxU
 /GUc+Rs3T2ChUBjZPDu7X7ynW/UPmeWXPzmjY0TT6Twnzs6zmsrx4dnLXF5Y
 ZfTCEucnIzfWWiqaNKVUJPUmKAwzRKPr5ftxRwswTYt4IodlWSSSeQqFMpls
 EcuyQLjWxiwWEKXbTbsMqVI67ZDv14pTqQL1tU7OfnIFj11hejZK2QTTspA0
 DVWVke12MvFV5qYiC9frdPDL+Xz8vkBm2cTuctDYWnvX/KXpFSzLQq2sIpnO
 WMHf7D/ye+BloEuW96VzueP3BbowOidq3Y2cG5zB7zHwuG3kCrAUTROKJFmO
 pWlucBB7NXaiO5Md/xLFg3+Dg3XwsF4u7zmVTD50X6C5haQp2KPlhlo3FjKK
 opHJW8RWi0SiORZXMkyNzU+e/vvI3l9RzGyDH7TC03EYPWNZO/og+k9yfrma
 ze3IjQAAAABJRU5ErkJggg==
 ====

## mileage 1.1

=== debian/changelog ===
mileage (1.1) stable; urgency=high

  * Fixes critical bug which can hang mileage when mileage exceeds alert
    mileage.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 01 Apr 2009 16:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
 Build-Depends: libgtk2.0-dev, libhildon1-dev, libosso-dev, libhildonhelp-dev, libosso-dev, tablet-browser-interface-dev
-Standards-Version: 1.0
+Standards-Version: 1.1
 
 Package: mileage
 Architecture: armel

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
#export DH_VERBOSE=1
# This is the debhelper compatability version to use.
export DH_COMPAT=4

package:= mileage
prefix := $(shell pwd)/debian/$(package)
CFLAGS := -O2

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
PKG_VER = $(shell dpkg-parsechangelog | sed -n 's/Version: //p')
NEW_VER = $(PKG_VER)

ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
	CONF_OPTIONS += --target=arm-linux
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
	CONF_OPTIONS += --enable-debug=3
endif

configure: changever configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# commands to compile the package.
	${MAKE} 
	touch build-stamp

changever:
	@echo "$(BUILDMSG)"
	# set hardware suffix
	@ [ $(PKG_VER) == $(NEW_VER) ] || @sed -ie "s/$(PKG_VER)/$(NEW_VER)/" debian/changelog
	@rm -f debian/changeloge

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# set hardware suffix if needed
	@ [ "$(PKG_VER)" == "$(NEW_VER)" ] || sed -ie "s/$(PKG_VER)/$(NEW_VER)/" debian/changelog
	@rm -f debian/changeloge

	# commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# commands to install the package into debian/<packagename>
	$(MAKE) BINDIR=$(prefix)/usr/bin install

	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean install

## mileage 1.2

=== debian/changelog ===
mileage (1.2) stable; urgency=low

  * Several small updates. Added keypad for care and trip tabs. Added Backup
    function for sending data files via email. Added email capabilty for
    export function. Moved import and export to File menu. Also added
    fullscreen mode. Added cost field for Activity entries in Care tab.
    Fixed bug 3454: graph not updated when new mileage entry entered.
    Fixed bug 4540: last item not imported for mileage data.
    Fixed bug 4541: graph not updated after import of mileage data.
    Added ability to convert from entry units to display units. Also
    added MPG in Imperial gallons.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 12 Sep 2009 16:00:00 +0100

## mileage 1.3

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 INSTALLLOC = ./debian/mileage
 BINDIR = /usr/bin
 # BINDIR = $(INSTALLLOC)/usr/bin
+#
 
 OBJS = \
 	car_tab.o \
@@ -20,10 +21,10 @@
 all: mileage
 
 mileage: ${OBJS}
-	gcc -O2 -DMAEMO `pkg-config --libs gtk+-2.0 hildon-1 hildon-help dbus-1 libosso` -ansi -Wall -o mileage ${OBJS} 
+	gcc -O2 -DMAEMO `pkg-config --silence-errors --libs gtk+-2.0` `pkg-config --silence-errors --libs hildon-libs` `pkg-config --silence-errors --libs hildon-1` `pkg-config --silence-errors --libs hildon-help` `pkg-config --silence-errors --libs dbus-1` `pkg-config --silence-errors --libs libosso` `pkg-config --silence-errors --libs libmodest-dbus-client-1.0` -ansi -Wall -o mileage ${OBJS} 
 
 .c.o:
-	gcc -O2 -DMAEMO  `pkg-config --cflags gtk+-2.0 hildon-1 hildon-help dbus-1` -ansi -Wall -c $*.c
+	gcc -O2 -DMAEMO  `pkg-config --silence-errors --cflags gtk+-2.0` `pkg-config --silence-errors --cflags hildon-libs` `pkg-config --silence-errors --cflags hildon-1` `pkg-config --silence-errors --cflags hildon-help` `pkg-config --silence-errors --cflags dbus-1` `pkg-config --silence-errors --cflags libmodest-dbus-client-1.0` -ansi -Wall -c $*.c
 
 clean:
 	rm -rf ${OBJS} mileage

=== debian/changelog ===
mileage (1.3) stable; urgency=low

  * Fixed bug converting data files for new version.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 12 Sep 2009 15:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: user/other
 Priority: optional
 Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
-Build-Depends: libgtk2.0-dev, libhildon1-dev, libosso-dev, libhildonhelp-dev, libosso-dev, tablet-browser-interface-dev
-Standards-Version: 1.1
+Build-Depends: libgtk2.0-dev, libhildon1-dev, libosso-dev, libhildonhelp-dev, libosso-dev, tablet-browser-interface-dev, libmodest-dbus-client-dev, conbtdialogs-dev
+Standards-Version: 1.2
 
 Package: mileage
 Architecture: armel

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
-#export DH_VERBOSE=1
+# export DH_VERBOSE=1
 # This is the debhelper compatability version to use.
 export DH_COMPAT=4

## mileage 1.4

=== debian/changelog ===
mileage (1.4) stable; urgency=low

  * Cleaned up graph tab. Enabled fullscreen mode for graph tab.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 30 Jan 2010 15:00:00 +0100

## mileage 1.5

=== debian/changelog ===
mileage (1.5) stable; urgency=low

  * Cleaned up graph tab. Enabled fullscreen mode for graph tab. Changed
    section to Utilities.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 02 Feb 2010 15:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: mileage
-Section: user/other
+Section: user/utilities
 Priority: optional
 Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
 Build-Depends: libgtk2.0-dev, libhildon1-dev, libosso-dev, libhildonhelp-dev, libosso-dev, tablet-browser-interface-dev, libmodest-dbus-client-dev, conbtdialogs-dev

## mileage 1.5.1

=== debian/changelog ===
mileage (1.5.1) stable; urgency=low

  * Cleaned up graph tab. Enabled fullscreen mode for graph tab. Changed
    section to accessories.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 02 Feb 2010 15:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 1.2
 
 Package: mileage
-Architecture: armel
+Architecture: any
 Depends: ${shlibs:Depends}
 Description: A Car Mileage Calculator for the Nokia Internet Tablet.
 XB-Maemo-Icon-26:
